<?php
/**
 * Coppermine Photo Gallery
 * Coppermine version: 1.5.xx
 *
 * Category List Change Layout ver 1.1
 *
 * Plugin Written by Joe Carver - http://photos-by.joe-carver.com - http://gallery.josephcarver.com/natural/ - http://i-imagine.net/artists/
 * 29 March 2010
**/

	if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

	// Add plugin_install action
	$thisplugin->add_action('plugin_install','catlist_page_new_install');

	// Add plugin_uninstall action
	$thisplugin->add_action('plugin_uninstall','catlist_page_new_uninstall');

	// Add plugin filter for changing layouts
	$thisplugin->add_filter('main_page_layout','catlist_page_new_main');
	
    global $CONFIG, $cat;
	
	// determine page location - home or album list page - 
	$superCage = Inspekt::makeSuperCage();
	$url_cat = $superCage->server->getRaw('REQUEST_URI');
	if (preg_match("/cat/i", $url_cat) || preg_match("/html/i", $url_cat))
	{	
	function catlist_page_new_main($elements)
	{ 
    global $CONFIG, $cat;
	    $elements = explode('/', $CONFIG['cat_zero_layout']);
		$cat_nonzero_select = $CONFIG['cat_nonzero_select'];
	if ($cat > 0 && $cat_nonzero_select == 1) {
	    $elements = explode('/', $CONFIG['cat_nonzero_layout']);
	}
		return $elements; 	
	}
	}	

	// Install the plugin
	function catlist_page_new_install() {
		global $CONFIG, $thisplugin;
		$layout_value = $CONFIG['main_page_layout'];
		$cat_nonzero_select = 0;
		// add vars to db
		cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('cat_zero_layout', '$layout_value')");
		cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('cat_nonzero_layout', '$layout_value')");	
		cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('cat_nonzero_select', '$cat_nonzero_select')");		
			return true;
	}

	// Uninstall the plugin
	function catlist_page_new_uninstall() {
		global $CONFIG, $thisplugin;
	//remove the record from config
		cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'cat_zero_layout'");
		cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'cat_nonzero_layout'");
		cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'cat_nonzero_select'");
	return true;		
	}

?>